Requests the manual generation of an Other Operations report of the type specified by reportId, using the date range and filters sent in the request body. Generation is asynchronous: the response returns a record_id, which you must use as the uid to check the report status with GET /statements/{uid}. In case of success, the request returns a response with status 200.
POST
REQUIRED
REQUIRED
REQUIRED
application/csv.ok indicates that the request was accepted successfully.uid to check the report status and download the file when it is available400Invalid or incomplete date range.
invalid_date_range
The requested date range is incomplete or invalid. Send both gte and lte in ISO 8601 format with a UTC offset, make sure that gte is earlier than or equal to lte, and use a period of no more than one year. Then submit the request again.
409A report with the same deduplication key is already in progress.
export_already_requested
An equivalent report is already being generated for the same user, reportId, date range, and filters. Do not submit a duplicate request. List or search the reports to retrieve the existing report identifier and check its status until processing finishes.
curl -X POST \
'https://api.mercadopago.com/v1/reporting/operations/{reportId}/statements'\
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer APP_USR-4*********782856-12*********f202ca494*********f0baa4bb3*********648' \
-d '{
"filters": {
"creation_date": {
"range": {
"gte": "2026-03-01T00:00:00.000-03:00",
"lte": "2026-03-31T23:59:59.999-03:00"
}
}
},
"file_format": "application/csv"
}'{
"result": "ok",
"record_id": "6d17e034-6eb3-48fc-a6fa-461e886fa406"
}